Search found 845 matches

Go to advanced search

by kbwbe
Wed May 15, 2019 10:23 pm
Forum: Assembly
Topic: How do I make the constraints tools active
Replies: 12
Views: 471

Re: How do I make the constraints tools active

babaroga wrote:
Wed May 15, 2019 9:48 pm
Thank you @babaroga for testing and confirming.
This is very strange to me and i think, i need help of a Qt-specialist. This part of A2plus has not been changed for some month and was always working. I will try to investigate what is wrong.

Any idea/help is highly appreciated.
by kbwbe
Wed May 15, 2019 4:14 pm
Forum: Assembly
Topic: How do I make the constraints tools active
Replies: 12
Views: 471

Re: How do I make the constraints tools active

Thanks but that doesn't seem to do anything Here it works... OS: Linux Mint 18.3 Sylvia Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.18.1. Build type: Release Python version: 2.7.12 Qt version: 4.8.7 Coin version: 4.0.0a OCC version: 7.3.0 Locale: German/Germany (de_DE) If your p...
by kbwbe
Wed May 15, 2019 2:21 pm
Forum: Assembly
Topic: How do I make the constraints tools active
Replies: 12
Views: 471

Re: How do I make the constraints tools active

TopDown wrote:
Wed May 15, 2019 2:08 pm
... but now how do I open a dialog to edit the constraints. The edit constraints dialog is not active...........
Simply doubleclick the constraint in the treeview...
by kbwbe
Sat May 11, 2019 9:54 pm
Forum: Python scripting and macros
Topic: Part.Solid(shell) fails if shell contains a sphere
Replies: 16
Views: 341

Re: Part.Solid(shell) fails if shell contains a sphere

DeepSOIC wrote:
Sat May 11, 2019 7:29 pm
But, I just tried your example, and Part.makeShell actually returns a compound of shells. I don't know if it's FreeCAD's special treatment, or OCC's, but it looks like you can just ignore that requirement I thought was true.
Thank you.
by kbwbe
Sat May 11, 2019 9:22 pm
Forum: Assembly
Topic: A2Plus not constraint buttons not lighting up
Replies: 2
Views: 225

Re: A2Plus not constraint buttons not lighting up

I am trying to use A2plus, but I import and convert parts freshly made and my constraint buttons are not showing up. Hi @chriswstubbs, welcome to the forum. First select the two things, which you want to constraint. After that, the suitable constraint buttons get active. Example: 1) select a plane ...
by kbwbe
Sat May 11, 2019 7:12 pm
Forum: Python scripting and macros
Topic: Part.Solid(shell) fails if shell contains a sphere
Replies: 16
Views: 341

Re: Part.Solid(shell) fails if shell contains a sphere

@DeepSOIC, thank you for your detailed answer. In OCC, a solid is described as a LIST of shells. The first shell defines the outer boundary of the solid. All other shells define voids inside the solid. So the final solid should be one continous part, as i understand this right. shell1=Part.makeShell...
by kbwbe
Sat May 11, 2019 5:04 pm
Forum: Python scripting and macros
Topic: Part.Solid(shell) fails if shell contains a sphere
Replies: 16
Views: 341

Re: Part.Solid(shell) fails if shell contains a sphere

Chris_G wrote:
Sat May 11, 2019 4:50 pm
I wrote "I think" : needs proper verification ...
At least CheckGeometry says that the result is no valid solid...
Any specialists for this problem around here ?

P.S:

Code: Select all

solid = Part.Solid(multiVolumeShell)
by kbwbe
Sat May 11, 2019 4:58 pm
Forum: Python scripting and macros
Topic: Part.Solid(shell) fails if shell contains a sphere
Replies: 16
Views: 341

Re: Part.Solid(shell) fails if shell contains a sphere

... Part.makeShell(f) is failing if there is a single face (i.e. a sphere) but is working if using: Part.makeShell([f]) This is a singular case in which a single face can be converted to a Solid... Hi @easyw-fc, i know the related post in assembly thread. I applied your PR to the devel branch of A2...
by kbwbe
Sat May 11, 2019 4:44 pm
Forum: Python scripting and macros
Topic: Part.Solid(shell) fails if shell contains a sphere
Replies: 16
Views: 341

Re: Part.Solid(shell) fails if shell contains a sphere

This should create a solid. I am sure that the input is a valid shell. To be converted to solid, I think a shell must be enclosing a SINGLE volume. Hi @Chris_G, thank you for the answer. If there is the limitation to one single volume, this explains many things. Something interesting is, that the r...
by kbwbe
Sat May 11, 2019 4:13 pm
Forum: Python scripting and macros
Topic: Part.Solid(shell) fails if shell contains a sphere
Replies: 16
Views: 341

Re: Part.Solid(shell) fails if shell contains a sphere

chrisb wrote:
Sat May 11, 2019 3:59 pm
Yes. But what is wrong with this ?

Code: Select all

solid=Part.Solid(shell2)
This should create a solid. I am sure that the input is a valid shell.

Go to advanced search